Subject: [apps-discuss] Fwd: Willful violation of RFC in HTML5

From: Mark Nottingham <[email-masked]>
Date: Mon, 25 Jul 2011 10:55:06 -0400

FYI.

Begin forwarded message:

> From: Philippe Le Hegaret <[email-masked]>
> Date: 25 July 2011 9:34:12 AM EDT
> To: Mark Nottingham <[email-masked]>
> Cc: Thomas Roessler <[email-masked]>
> Subject: Willful violation of RFC in HTML5
> organization: World Wide Web Consortium
> 
> Hi Mark,
> 
> here are links to the willful violation of RFCs in HTML5. if you prefer
> this email to be archived somewhere, let me know.
> 
> [[
> This step is a willful violation of RFC 3986, which would require base
> URL processing here. This violation is motivated by a desire for
> compatibility with legacy content. [RFC3986]
> ]]
> http://www.w3.org/TR/html5/association-of-controls-and-forms.html#form-submission-algorithm
> 
> [[
> This is a willful violation of RFC 2046, which requires all text/* types
> to only allow CRLF line breaks. This requirement, however, is outdated;
> the use of CR, LF, and CRLF line breaks is commonly supported and indeed
> sometimes CRLF is not supported by text editors. [RFC2046]
> ]]
> http://www.w3.org/TR/html5/offline.html#writing-cache-manifests
> 
> [[
> This algorithm is a willful violation of the HTTP specification, which
> requires that the encoding be assumed to be ISO-8859-1 in the absence of
> a character encoding declaration to the contrary, and of RFC 2046, which
> requires that the encoding be assumed to be US-ASCII in the absence of a
> character encoding declaration to the contrary. This specification's
> third approach is motivated by a desire to be maximally compatible with
> legacy content. [HTTP] [RFC2046]
> ]]
> http://www.w3.org/TR/html5/parsing.html#determining-the-character-encoding
> 
> [[
> The requirement to default UTF-16 to LE rather than BE is a willful
> violation of RFC 2781, motivated by a desire for compatibility with
> legacy content. [RFC2781]
> ]]
> http://www.w3.org/TR/html5/parsing.html#character-encodings-0
> 
> [[
> This requirement is a willful violation of RFC 5322, which defines a
> syntax for e-mail addresses that is simultaneously too strict (before
> the "@" character), too vague (after the "@" character), and too lax
> (allowing comments, white space characters, and quoted strings in
> manners unfamiliar to most users) to be of practical use here.
> ]]
> http://www.w3.org/TR/html5/states-of-the-type-attribute.html#e-mail-state
> 
> [[
> The term "URL" in this specification is used in a manner distinct from
> the precise technical meaning it is given in RFC 3986. Readers familiar
> with that RFC will find it easier to read this specification if they
> pretend the term "URL" as used herein is really called something else
> altogether. This is a willful violation of RFC 3986. [RFC3986]
> ]]
> http://www.w3.org/TR/html5/urls.html#urls
> 
> [[
> These parsing rules are a willful violation of RFC 3986 and RFC 3987
> (which do not define error handling), motivated by a desire to handle
> legacy content. [RFC3986] [RFC3987]
> ]]
> http://www.w3.org/TR/html5/urls.html#parsing-urls
> 
> Philippe
> 
> 
> 

--
Mark Nottingham   http://www.mnot.net/

---

From: Dave Cridland <[email-masked]>
Date: Mon, 25 Jul 2011 17:58:28 +0100

> http://www.w3.org/TR/html5/states-of-the-type-attribute.html#e-mail-state

As an observation, addresses using whitescape and quoted strings are  
still commonplace in MIXER environments, and while I have no view on  
how common X.400 MIXER-mapped addresses might be in HTML5  
applications, it would appear that this would be difficult.

Also, the ABNF specified in the document not only fails to allow all  
email addresses, but also does allow invalid email addresses. A  
better choice would be to make the local-part be dot-atom-text.

Dave.
-- 
Dave Cridland - mailto:[email-masked] - xmpp:[email-masked]
  - acap://acap.dave.cridland.net/byowner/user/dwd/bookmarks/
  - http://dave.cridland.net/
Infotrope Polymer - ACAP, IMAP, ESMTP, and Lemonade

---

From: Eric Burger <[email-masked]>
Date: Mon, 25 Jul 2011 20:12:02 -0400

Does a willful violation result in twice as much jail time?

On Jul 25, 2011, at 10:55 AM, Mark Nottingham wrote:

> _______________________________________________
> apps-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/apps-discuss

---

From: "William F. Maton Sotomayor" <[email-masked]>
Date: Tue, 26 Jul 2011 06:03:45 -0400 (EDT)

Just many more cookies for everyone.

:)

>>> http://www.w3.org/TR/html5/urls.html#parsing-urls

wfms

---

From: Julian Reschke <[email-masked]>
Date: Tue, 26 Jul 2011 19:52:38 +0200

> Does a willful violation result in twice as much jail time?

Sure it does.

---

From: Dave CROCKER <[email-masked]>
Date: Tue, 26 Jul 2011 14:02:54 -0400

>> Does a willful violation result in twice as much jail time?

It merely makes it /seem/ longer, since you are be forced to constantly read 
distracting postings...

d/
-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net